Update Portal
curl --request POST \
--url https://app.magna.so/api/external/v1/portals/{id}/update \
--header 'Content-Type: application/json' \
--header 'x-magna-api-token: <api-key>' \
--data '
{
"version": "V1",
"name": "<string>",
"tokenId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"googleAnalyticsId": "<string>",
"auth": {
"magnaApiToken": true,
"terminal3": true,
"x": true
},
"claimConfig": {
"startTimestamp": "2023-11-07T05:31:56Z",
"endTimestamp": "2023-11-07T05:31:56Z",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimStartMessage": "<string>"
},
"configuration": {
"allowClaimWithAlternateWallet": true,
"showVestingDetails": true,
"unifiedAllocationClaimView": true,
"requireAcceptingTermsBeforeClaim": true,
"showCategory": true,
"showDescription": true,
"hideConnectWalletSubtext": true,
"allowConnectBeforeClaimWindow": true,
"blockedCountryText": "<string>",
"paymentFiatEnabled": true,
"showSocialIconsInFooter": true,
"staking": true,
"customWalletAdapters": {
"metaMask": true,
"coinbase": true,
"rainbow": true,
"trust": true,
"rabby": true,
"mew": true,
"ronin": true,
"safe": true,
"injected": true,
"phantom": true,
"solflare": true,
"walletConnect": true,
"ledger": true,
"okx": true,
"sonic": true,
"backpack": true,
"bitget": true,
"kaia": true,
"mockWallet": true
},
"colors": {
"accent": "<string>",
"buttonText": "<string>",
"mainGradient": "<string>",
"background": "<string>"
},
"metadata": {
"title": "<string>",
"description": "<string>",
"companyName": "<string>",
"ogImageUrl": "<string>",
"faviconUrl": "<string>",
"websiteUrl": "<string>"
}
},
"images": {
"background": {
"url": "<string>",
"width": 123,
"height": 123
},
"backgroundMobile": {
"url": "<string>",
"width": 123,
"height": 123
},
"logo": {
"url": "<string>",
"width": 123,
"height": 123
},
"logoIcon": {
"url": "<string>",
"width": 123,
"height": 123
},
"coin": {
"url": "<string>",
"width": 123,
"height": 123
},
"moreInfo": {
"url": "<string>",
"width": 123,
"height": 123
},
"banner": {
"url": "<string>",
"width": 123,
"height": 123
}
},
"content": {
"title": {
"title": "<string>",
"subtitle": "<string>"
},
"coinInfo": {
"title": "<string>",
"description": "<string>",
"readMoreCTA": "<string>",
"readMoreUrl": "<string>"
},
"qa": {
"title": "<string>",
"description": "<string>",
"questions": [
{
"question": "<string>",
"answer": "<string>"
}
]
},
"tags": [
"<string>"
],
"banner": {
"content": "<string>"
},
"sidebarContent": {
"publicPhaseText": "<string>",
"whitelistPhaseText": "<string>"
},
"wideHeader": true,
"successPage": {
"title": "<string>",
"subtitle": "<string>",
"goToUrl": "<string>",
"learnMoreUrl": "<string>",
"description": "<string>"
},
"showImportTokenButton": true,
"postClaimCTAs": [
{
"label": "<string>",
"url": "<string>"
}
],
"postClaimTweet": {
"label": "<string>",
"postBody": "<string>"
}
}
}
'{
"isProcessed": true,
"result": {
"id": "po...uuid",
"name": "Acme Claim Portal",
"version": "V2",
"updatedAt": "2024-04-16T10:00:00.000Z"
}
}Portals
Update Portal
Update an existing claim portal. Same version-discriminated body as Create Portal.
POST
/
api
/
external
/
v1
/
portals
/
{id}
/
update
Update Portal
curl --request POST \
--url https://app.magna.so/api/external/v1/portals/{id}/update \
--header 'Content-Type: application/json' \
--header 'x-magna-api-token: <api-key>' \
--data '
{
"version": "V1",
"name": "<string>",
"tokenId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"googleAnalyticsId": "<string>",
"auth": {
"magnaApiToken": true,
"terminal3": true,
"x": true
},
"claimConfig": {
"startTimestamp": "2023-11-07T05:31:56Z",
"endTimestamp": "2023-11-07T05:31:56Z",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimStartMessage": "<string>"
},
"configuration": {
"allowClaimWithAlternateWallet": true,
"showVestingDetails": true,
"unifiedAllocationClaimView": true,
"requireAcceptingTermsBeforeClaim": true,
"showCategory": true,
"showDescription": true,
"hideConnectWalletSubtext": true,
"allowConnectBeforeClaimWindow": true,
"blockedCountryText": "<string>",
"paymentFiatEnabled": true,
"showSocialIconsInFooter": true,
"staking": true,
"customWalletAdapters": {
"metaMask": true,
"coinbase": true,
"rainbow": true,
"trust": true,
"rabby": true,
"mew": true,
"ronin": true,
"safe": true,
"injected": true,
"phantom": true,
"solflare": true,
"walletConnect": true,
"ledger": true,
"okx": true,
"sonic": true,
"backpack": true,
"bitget": true,
"kaia": true,
"mockWallet": true
},
"colors": {
"accent": "<string>",
"buttonText": "<string>",
"mainGradient": "<string>",
"background": "<string>"
},
"metadata": {
"title": "<string>",
"description": "<string>",
"companyName": "<string>",
"ogImageUrl": "<string>",
"faviconUrl": "<string>",
"websiteUrl": "<string>"
}
},
"images": {
"background": {
"url": "<string>",
"width": 123,
"height": 123
},
"backgroundMobile": {
"url": "<string>",
"width": 123,
"height": 123
},
"logo": {
"url": "<string>",
"width": 123,
"height": 123
},
"logoIcon": {
"url": "<string>",
"width": 123,
"height": 123
},
"coin": {
"url": "<string>",
"width": 123,
"height": 123
},
"moreInfo": {
"url": "<string>",
"width": 123,
"height": 123
},
"banner": {
"url": "<string>",
"width": 123,
"height": 123
}
},
"content": {
"title": {
"title": "<string>",
"subtitle": "<string>"
},
"coinInfo": {
"title": "<string>",
"description": "<string>",
"readMoreCTA": "<string>",
"readMoreUrl": "<string>"
},
"qa": {
"title": "<string>",
"description": "<string>",
"questions": [
{
"question": "<string>",
"answer": "<string>"
}
]
},
"tags": [
"<string>"
],
"banner": {
"content": "<string>"
},
"sidebarContent": {
"publicPhaseText": "<string>",
"whitelistPhaseText": "<string>"
},
"wideHeader": true,
"successPage": {
"title": "<string>",
"subtitle": "<string>",
"goToUrl": "<string>",
"learnMoreUrl": "<string>",
"description": "<string>"
},
"showImportTokenButton": true,
"postClaimCTAs": [
{
"label": "<string>",
"url": "<string>"
}
],
"postClaimTweet": {
"label": "<string>",
"postBody": "<string>"
}
}
}
'{
"isProcessed": true,
"result": {
"id": "po...uuid",
"name": "Acme Claim Portal",
"version": "V2",
"updatedAt": "2024-04-16T10:00:00.000Z"
}
}Authorizations
Path Parameters
Minimum string length:
1Body
application/json
- Option 1
- Option 2
Available options:
V1 Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I